Greenplum Database 4.3.0 supported platforms, upgrade checklist, changed features, deprecated features and known issues

Greenplum Database 4.3 runs on the following platforms:
1. Red Hat Enterprise Linux 64-bit 5.5, 5.6, 5.7, 6.1, 6.2, and 6.4
2. SUSE Linux Enterprise Server 64-bit 10 SP4, 11 SP1
3. Solaris x86 64-bit v10 U7, U8, U9, U10
4. Oracle Unbreakable Linux 64-bit 5.5
5. CentOS 64-bit 5.5, 5.6, 5.7, 6.1, and 6.2

Greenplum Database 4.3 supports Data Domain Boost on Red Hat Enterprise Linux.
Greenplum Database 4.3 supports Data Domain Boost SDK version with DDOS, 5.1 and 5.2.

GPDB 4.3 was certified against the following DCA versions:
1. DCA v1 - ISO_VERSION=""
2. DCA v2 - ISO_VERSION=""

*** Check Greenplum database release notes for more details.

Greenplum Database 4.3 Upgrade Checklist
The minimum supported version to upgrade greenplum database to 4.3 is 4.2.x.x. If your database is lower than this, then you need to first upgrade your Greenplum database to 4.2.x.x and then upgrade to 4.3.  For complete details and step by step instruction to upgrade your database to 4.3.0, visit

There are 46 known issues in Greenplum Database Version 3.0. There is 1 issue reported to be resolved in 4.3.0.

Deprecated features in 4.3.0
1. These Greenplum Database utility gpinitstandby options have been removed.
-L (leave database stopped)
-M fast (fast shutdown - rollback)

2. The Greenplum Database utility gpactivatestandy option -c new_standby_master_hostname has been removed

3. The Greenplum Database system table gp_master_mirroring has been removed. The table is replaced by the new administrative view pg_stat_replication.
For information about Greenplum Database tables and views, see the Greenplum Database Reference Guide. For information about Greenplum Database utilities, see the Greenplum Database Utility Guide.

There are approx 13 features in Greenplum Database 4.3.0 that have been changed. For full details visit